// cave_ym2151.h

extern "C" {
 #include "driver.h"
 #include "ym2151.h"
}

extern unsigned char CaveYM2151Registers[0x0100];
extern unsigned int CaveCurrentYM2151Register;

extern short* CaveYM2151Buffer[2];

int CaveYM2151Init(int nClockFrequency);
void CaveYM2151Exit();
void CaveYM2151Scan(int nAction);

inline void CaveYM2151SelectRegister(unsigned char nRegister)
{
	CaveCurrentYM2151Register = nRegister;
}

inline void CaveYM2151WriteRegister(unsigned char nValue)
{
	CaveYM2151Registers[CaveCurrentYM2151Register] = nValue;
	YM2151WriteReg(0, CaveCurrentYM2151Register, nValue);
}

