// Additions to the Cygwin/MinGW win32 headers

#if (_WIN32_IE >= 0x0300)
 #define NMLVKEYDOWN LV_KEYDOWN
#endif

#if (_WIN32_IE >= 0x0300)
 #undef TBSTYLE_DROPDOWN
 #define TBSTYLE_DROPDOWN 0x0008U

 // Return codes for TBN_DROPDOWN
 #define TBDDRET_DEFAULT 0
 #define TBDDRET_NODEFAULT 1
 #define TBDDRET_TREATPRESSED 2

 #define TBN_DROPDOWN (TBN_FIRST - 10U)
#endif

#if (_WIN32_IE >= 0x0400)
 #define TB_GETHOTITEM (WM_USER + 71)
 #define TB_SETHOTITEM (WM_USER + 72)

 #define TBN_HOTITEMCHANGE (TBN_FIRST - 13)

 typedef struct tagNMTBHOTITEM {
	NMHDR hdr;
	int idOld;
	int idNew;
	DWORD dwFlags;
 } NMTBHOTITEM, * LPNMTBHOTITEM;

 #define HICF_OTHER          0x00000000
 #define HICF_MOUSE          0x00000001          // Triggered by mouse
 #define HICF_ARROWKEYS      0x00000002          // Triggered by arrow keys
 #define HICF_ACCELERATOR    0x00000004          // Triggered by accelerator
 #define HICF_DUPACCEL       0x00000008          // This accelerator is not unique
 #define HICF_ENTERING       0x00000010          // idOld is invalid
 #define HICF_LEAVING        0x00000020          // idNew is invalid
 #define HICF_RESELECT       0x00000040          // hot item reselected
 #define HICF_LMOUSE         0x00000080          // left mouse button selected
 #define HICF_TOGGLEDROPDOWN 0x00000100          // Toggle button's dropdown state
#endif

#define MNS_NOCHECK         0x80000000
#define MNS_MODELESS        0x40000000
#define MNS_DRAGDROP        0x20000000
#define MNS_AUTODISMISS     0x10000000
#define MNS_NOTIFYBYPOS     0x08000000
#define MNS_CHECKORBMP      0x04000000

#define MIM_MAXHEIGHT               0x00000001
#define MIM_BACKGROUND              0x00000002
#define MIM_HELPID                  0x00000004
#define MIM_MENUDATA                0x00000008
#define MIM_STYLE                   0x00000010
#define MIM_APPLYTOSUBMENUS         0x80000000


