#define DIRECTDRAW_VERSION 7				// Use this DirectDraw version
#include <ddraw.h>

int VidSGetSurfaceDepth(IDirectDrawSurface7* pddsSurf);

// Gamma controls
void VidSRestoreGamma();
int VidSUpdateGamma();
int VidSSetupGamma(IDirectDrawSurface7* pSurf);

// Select optimal full-screen resolution
void RestoreScreenMode();
int EnterFullscreenMode(IDirectDraw7* pDD7, int nZoom, int nDepth, int* pScrnWidth, int* pScrnHeight);

// Image size
int VidSScaleImage(RECT* pRect, int nGameWidth, int nGameHeight, bool bVertScanlines);
bool VidSGetArcaderes(int* pWidth, int* pHeight);

// Text display
void VidSExitOSD();
int VidSInitOSD(IDirectDraw7* pDD, int nFlags);
int VidSRestoreOSD();
void VidSDisplayOSD(IDirectDrawSurface7* Surf, RECT* pRect);

