#define XFLIP 0
#define YFLIP 0
#define ROT 0

// 16-bit rendering functions.
#define BPP 16

#define EIGHTBIT 1
#define ROWSCROLL 0
#define ROWSELECT 0
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#define ROWSCROLL 1
#define ROWSELECT 0
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#define ROWSCROLL 0
#define ROWSELECT 1
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#define ROWSCROLL 1
#define ROWSELECT 1
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#undef EIGHTBIT

#undef BPP

// 24-bit rendering functions.
#define BPP 24

#define EIGHTBIT 1
#define ROWSCROLL 0
#define ROWSELECT 0
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#define ROWSCROLL 1
#define ROWSELECT 0
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#define ROWSCROLL 0
#define ROWSELECT 1
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#define ROWSCROLL 1
#define ROWSELECT 1
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#undef EIGHTBIT

#undef BPP

// 32-bit rendering functions.
#define BPP 32

#define EIGHTBIT 1
#define ROWSCROLL 0
#define ROWSELECT 0
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#define ROWSCROLL 1
#define ROWSELECT 0
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#define ROWSCROLL 0
#define ROWSELECT 1
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#define ROWSCROLL 1
#define ROWSELECT 1
#define DOCLIP 0
#include "cave_tile_render.h"
#undef DOCLIP
#define DOCLIP 1
#include "cave_tile_render.h"
#undef DOCLIP
#undef ROWSELECT
#undef ROWSCROLL
#undef EIGHTBIT

#undef BPP

#undef ROT

#undef YFLIP
#undef XFLIP

// Table with all function addresses.
static RenderTileFunction RenderTileFunctionTable[] = {
	&RenderTile16_ROT0_NOFLIP_NOROWSCROLL_NOROWSELECT_NOCLIP_256, &RenderTile16_ROT0_NOFLIP_ROWSCROLL_NOROWSELECT_NOCLIP_256, &RenderTile16_ROT0_NOFLIP_NOROWSCROLL_ROWSELECT_NOCLIP_256, &RenderTile16_ROT0_NOFLIP_ROWSCROLL_ROWSELECT_NOCLIP_256, 
	&RenderTile16_ROT0_NOFLIP_NOROWSCROLL_NOROWSELECT_CLIP_256, &RenderTile16_ROT0_NOFLIP_ROWSCROLL_NOROWSELECT_CLIP_256, &RenderTile16_ROT0_NOFLIP_NOROWSCROLL_ROWSELECT_CLIP_256, &RenderTile16_ROT0_NOFLIP_ROWSCROLL_ROWSELECT_CLIP_256, 
	&RenderTile24_ROT0_NOFLIP_NOROWSCROLL_NOROWSELECT_NOCLIP_256, &RenderTile24_ROT0_NOFLIP_ROWSCROLL_NOROWSELECT_NOCLIP_256, &RenderTile24_ROT0_NOFLIP_NOROWSCROLL_ROWSELECT_NOCLIP_256, &RenderTile24_ROT0_NOFLIP_ROWSCROLL_ROWSELECT_NOCLIP_256, 
	&RenderTile24_ROT0_NOFLIP_NOROWSCROLL_NOROWSELECT_CLIP_256, &RenderTile24_ROT0_NOFLIP_ROWSCROLL_NOROWSELECT_CLIP_256, &RenderTile24_ROT0_NOFLIP_NOROWSCROLL_ROWSELECT_CLIP_256, &RenderTile24_ROT0_NOFLIP_ROWSCROLL_ROWSELECT_CLIP_256, 
	&RenderTile32_ROT0_NOFLIP_NOROWSCROLL_NOROWSELECT_NOCLIP_256, &RenderTile32_ROT0_NOFLIP_ROWSCROLL_NOROWSELECT_NOCLIP_256, &RenderTile32_ROT0_NOFLIP_NOROWSCROLL_ROWSELECT_NOCLIP_256, &RenderTile32_ROT0_NOFLIP_ROWSCROLL_ROWSELECT_NOCLIP_256, 
	&RenderTile32_ROT0_NOFLIP_NOROWSCROLL_NOROWSELECT_CLIP_256, &RenderTile32_ROT0_NOFLIP_ROWSCROLL_NOROWSELECT_CLIP_256, &RenderTile32_ROT0_NOFLIP_NOROWSCROLL_ROWSELECT_CLIP_256, &RenderTile32_ROT0_NOFLIP_ROWSCROLL_ROWSELECT_CLIP_256, 
};

static RenderTileFunction* RenderTile_ROT0[3] = {
	&RenderTileFunctionTable[0],
	&RenderTileFunctionTable[8],
	&RenderTileFunctionTable[16]
};
